﻿package
{
	import flash.display.Sprite; 
	import flash.utils.setInterval;
	public class Trainer extends Sprite
	{
		public function Trainer()
		{
			setInterval(addStraw,10);
		}
		private function addStraw():void
		{
			var straw:Straw = new Straw(stage.stageWidth);
			straw.x = stage.stageWidth;
			this.addChild(straw);
		}
	}
}
import flash.display.Sprite;
import flash.events.Event;
internal class Straw extends Sprite
{
	var _height:Number;
	public function Straw(height:Number):void
	{
		_height = height;
		this.graphics.beginFill(Math.random()*0xFFFFFF );
		this.graphics.drawCircle(350,300,Math.random()*30+1);
		this.graphics.endFill();
		this.addEventListener(Event.ENTER_FRAME,enterHandler);
	}
	private function enterHandler(e:Event):void
	{
		if(this.x <= parent.mouseX){
			var f:Number = 20-this.x;
			var c:Number = mouseX-this.y;
			var alpha:Number = Math.asin(f/Math.sqrt(f*f + c*c))*80/Math.PI;
			if(Math.sqrt(f*f + c*c)>=_height){
				(this.rotation<0)?this.rotation++:this.rotation=0;
			}else{
				this.rotation = -alpha;
			}
		}
		if(this.x<=0 && this.rotation==0){
			this.removeEventListener(Event.ENTER_FRAME,enterHandler);
			parent.removeChild(parent.getChildByName(this.name));
		}else{
			this.x-=2;
		}
	}
}